# The Qubes OS Project, https://www.qubes-os.org
#
# Copyright (C) 2011  Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
# Copyright (C) 2022  Demi Marie Obenour <demiinvisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

Name:		qubes-gpg-sign
Version:	1.0.0
Release:	1%{dist}
Summary:	The Qubes service for simple GPG signing.

Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		https://www.qubes-os.org

BuildRequires:	make
BuildRequires:	gcc

Requires:	gnupg2

Source0: %{name}-%{version}.tar.gz

%description
The Qubes service for delegating GnuPG signing.  You can keep keys in
secure (even network isolated) VM and only pass data to it for
signing/decryption.  Compared to qubes-gpg-split, this service focuses
on simplicity and minimal attack surface.  The client is required to
specify the exact fingerprint of the key they wish to use for signing
as the service argument, allowing qrexec policy to limit which qubes can
use which keys.

%prep
%setup -q

%build
make clean all

%install
rm -rf -- "$RPM_BUILD_ROOT"
make install "DESTDIR=$RPM_BUILD_ROOT"

%clean
rm -rf -- "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root,-)
/etc/qubes-rpc/qubes.GpgArmorSign
/etc/qubes-rpc/qubes.GpgClearSign
/etc/qubes-rpc/qubes.GpgBinarySign

%changelog
* Tue Jan 09 2024 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-linux-gpg-sign.git

* Tue Jan 09 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6564627
- version 1.0.0

* Tue Jan 09 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c44478f
- Install service variants with symlinks instead of hardlinks

* Tue Jan 09 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6ad99a7
- Modernize arch packaging

* Wed Nov 09 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - bd88b4b
- Add GitLab CI

* Fri Oct 07 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 874a1b8
- Add copy of the GNU GPLv2

* Fri Oct 07 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - a97b7cb
- Add builder v2 support

* Fri Oct 07 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 0b21f08
- Ignore default build directory

* Fri Oct 07 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - c49093b
- Drop in-band signature type selection

* Fri Oct 07 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 5df91aa
- Add packaging

* Fri Oct 07 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 9aa254f
- Makefile cleanup

* Wed Sep 28 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - fcab1f8
- make BUILDDIR dependency order-only

* Tue Sep 27 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - ece98b7
- Discard GPG log data

* Tue Sep 27 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - bc819a6
- Simplify the program name parsing code

* Sun Sep 25 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 1ba6c5f
- Add quotes around argument

* Sun Sep 25 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - ffe19fc
- Print out the bad character, not the byte encoding it

* Sun Sep 25 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 668504b
- Clean up the sanitization code

* Mon Sep 19 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 0e95128
- Add more comments

* Mon Sep 19 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 35f4bad
- Ensure non-executable stack

* Mon Sep 19 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 29a9023
- Sanitize out-of-place

* Mon Sep 19 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 64c237a
- Install correct hard links

* Mon Sep 19 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 5464823
- Ensure that GnuPG's locale is reasonable

* Sat Sep 17 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 6f424bc
- Add functions for signing with and without armor

* Fri Sep 16 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 78097b4
- Remove old Python implementation

* Fri Sep 16 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 8c9a4e5
- Install correct paths

* Fri Sep 16 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - dffc053
- Clean up arguments passed to GnuPG

* Fri Sep 16 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - b095792
- Cleartext signing support

* Thu Sep 15 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 02ab932
- Makefile improvements

* Thu Sep 15 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 17edd14
- Clean up the C code a bit

* Thu Sep 15 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - b903cad
- Initial work on qubes.GpgSign

